神刀安全网

SSL发现新漏洞,主要影响OpenSSL和HTTPS服务

日前两个独立的安全研究组织发布了两个新的、不同的严重漏洞,对象是互联网应用经常用到的OpenSSL加密库。哪些在系统(常见但不限于Linux、Mac OS X、或其它基于UNIX的系统)中使用到OpenSSL的系统管理员们要开始审查补丁,并要尽快的应用这些补丁。需要重点提醒的是,此漏洞包含 DROWN,所以即使不是OpenSSL服务提供者也有非常大的风险。那些个系统中使用了 SSL/TLS 的人们请仔细阅读下面内容,以了解为何是高风险的。

DROWN

此次严重漏洞的其中之一被称之为 DROWN ,其是 D ecrypting R SA with O bsolete and W eakened e N cryption的缩写,意思是基于过时和孱弱的加密的RSA解密法。曾经有一份来自于学术界和商业界的研究者们出过的 报告 解释过DROWN,DROWN 团队对此作了非常清楚的解释:

DROWN 展示了仅仅支持 SSLv2 的当下的服务器和客户端是非常脆弱的。它允许攻击者解密 TLS 的连接,即通过发送探针给支持 SSLv2 的服务而使用相同的私钥来更新客户端和服务器的连接。

这也就意味着服务器具有如下特征时是异常脆弱的:

  • 允许 SSLv2 的连接,根据之前他们所公开的研究,大约有17%的公开的 HTTPS 服务仍然使用的是 SSLv2连接。
  • 它们的私钥是用于任何其它服务器的,且允许使用SSLv2的任何协议连接。

Matthew Green ,密码专家及教授, 撰文解释 道,此漏洞的暴露部分原因是:“人们并不会购买多份证书,通常人们都会为服务器配置为同时支持 TLS 和 SSLv2,且使用同样的私钥来同时支持此两种协议。”

DROWN 团队发现了一个特定的组合,即 OpenSSL 和 DROWN 的组合,会产生更坏的影响。组合允许它们 "…在握手超时之前,在TLS在线回话中执行中间人攻击,甚至会允许攻击者连接到目标服务器中去执行非RSA相关的以及降级TLS的客户端来完成RSA密钥交换…" 这些攻击仅使用单核的机器就可以快速完成--注意既不是多GPU的集群系统,也不是大量的亚马逊 EC2 实例--这也就是意味着使用 DROWN 进行攻击非常的容易。

CacheBleed

若你觉得上述这个还不够触目惊心的话,接着往下看。另外一个影响到OpenSSL严重漏洞是由一个称之为 CacheBleed 的团队发布的,cacahebleed 这个项目旨在“通过在 Intel 处理器中的高速缓存区冲来达到信息泄漏的目的,是一种侧面的攻击”。此漏洞主要影响是那些“云服务中常见的不能彼此信任的负载…”,可以通过禁用CPU的超线程来缓解这一漏洞。目前该团队认为 起码 所有 Intel Sandy Bridge 系列处理器都受影响,以及旧的架构如 Nehalem 和 Core 2 可能收到影响。就目前来看,此攻击还无法攻破 Intel HasWell 系列。

总结

哪些使用OpenBSD基于OpenSSL的分支,称之为LibreSSL的系统管理员们可以松一口气,因为 DROWN 没有破解此版本。然而可以确信的是,若攻击者获得本地访问话,CacheBleed 还是会让你百分之百的中招。

因为 DROWN 的目标是 SSL的使用,所以它所波及的不能仅仅局限于 OpenSSL ,所以运行 Windows IIS 的系统管理们不要掉以轻心,有必要去重新审核下自己的服务配置选项了。

查看英文原文: Major SSL Vulnerability Affects OpenSSL and HTTPS server traffic

转载本站任何文章请注明:转载至神刀安全网,谢谢神刀安全网 » SSL发现新漏洞,主要影响OpenSSL和HTTPS服务

分享到:更多 ()

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
分享按钮